<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="plantilla/template :: head">
  <meta charset="UTF-8">
  <title>Inicio</title>
</head>
<body>
<header th:replace="plantilla/template :: header"></header>

<div class="container">
  <h1 th:text="${titulo}"></h1>
</div>

<div class="container">

  <div class="container-fluid">
    <form class="d-flex">
      <div class="form-group">
        <a class="btn btn-success btn-sm" th:href="@{/views/inspeccion/nuevo}" th:text="Nuevo"></a>
      </div>
      <div class="form-group" style="position:absolute; right:200px; ">
        <input name="palabra" id="palabra" th:value="${palabra}" class="form-control me-2" type="search" placeholder="Buscar propietario" aria-label="Search">
      </div>
      <button class="btn btn-outline-success" type="submit" style="position:absolute; right:100px;">Buscar</button>
    </form>
  </div>

  <table class="table table-striped">
    <thead>
    <tr>
      <th scope="col">Fecha</th>
      <th scope="col">Patente</th>
      <th scope="col">Nombre</th>
      <th scope="col">Apellido</th>
      <th scope="col">DNI</th>
      <th scope="col">Observación</th>
      <th scope="col">Medición</th>
      <th scope="col">Estado</th>
      <th scope="col">Exento</th>
      <th scope="col">Inspector</th>
      <th scope="col">Editar</th>
      <th scope="col">Inactivar</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="cl:${inspecciones}">
      <td th:text="${cl.fecha}"></td>
      <td th:text="${cl.vehiculo.patente}"></td>
      <td th:text="${cl.vehiculo.persona.nombre}"></td>
      <td th:text="${cl.vehiculo.persona.apellido}"></td>
      <td th:text="${cl.vehiculo.persona.dni}"></td>
      <td th:text="${cl.estadoObservaciones}"></td>
      <td th:text="${cl.estadoMediciones}"></td>
      <td th:text="${cl.estadoFinal}"></td>
      <td th:text="${cl.exento}"></td>
      <td th:text="${cl.persona.legajo}"></td>
      <td>
        <a class="btn btn-warning btn-sm" th:href="@{/views/inspeccion/editar/} + ${cl.id}" th:text="Editar"></a>
      </td>
      <td>
        <a class="btn btn-danger btn-sm" th:href="@{/views/inspeccion/inactivar/} + ${cl.id}" th:text="Eliminar"
           onclick="return confirm('Esta seguro de inactivarlo?');"
        ></a>
      </td>
    </tr>
    </tbody>
  </table>
</div>

<footer th:replace="plantilla/template :: footer"></footer>

</body>
</html>